> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询结果

> 查询 MiniMax-H3 任务状态与结果。

**路径：** `GET https://api.omniall.ai/v1/videos/{task_id}`



## OpenAPI

````yaml zh-CN/openapi/minimax-h3-video.yaml GET /v1/videos/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — MiniMax-H3 生视频
  version: 1.0.0
  description: >-
    MiniMax-H3 异步创建视频。


    **路径：** `POST https://api.omniall.ai/v1/videos`


    亦可使用 `POST /v1/video/generations`。支持文生 / 图生（首尾帧）/ 多模态参考；分辨率 `480P` / `768P`
    / `1080P` / `2K`，时长 4–30 秒。


    **模式互斥：** `first_frame` / `last_frame`（含
    `image`、`images[0]`、`first_frame_url` 等）与 `reference_images` /
    `reference_videos` / `reference_audios`（或 content 中的
    `reference_*`）**不能同时使用**。


    **等价字段：** `first_frame_url` ≈ `first_frame` ≈ `image` ≈ `images[0]`。


    **ratio 规则：**

    - **文生视频（t2va）**：仅文本时 `ratio` 必填，且不能为 `adaptive`（可选
    `21:9`/`16:9`/`4:3`/`1:1`/`3:4`/`9:16`）

    - **图生视频（i2va）**：含首/尾帧时，输出比例跟随输入图，`ratio` 固定为 `adaptive`（传其它值会被忽略）

    - **多模态参考（r2va）**：含 `reference_*` 时 `ratio` 可选，默认 `adaptive`，也可指定固定比例


    鉴权：`Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - MiniMax-H3
      summary: 查询结果
      description: |-
        查询 MiniMax-H3 任务状态与结果。

        **路径：** `GET https://api.omniall.ai/v1/videos/{task_id}`
      operationId: minimaxH3GetVideo
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxx
          description: 任务 ID。
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API Key，例如 `Bearer sk-...`。
      responses:
        '200':
          description: 任务状态
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  url:
                    type: string
                  progress: {}
        '404':
          description: 不存在

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.